Cancel a schedule
curl --request DELETE \
--url https://api.hq.zone/v1/api/schedules/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hq.zone/v1/api/schedules/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hq.zone/v1/api/schedules/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"next_fire_at": "2023-11-07T05:31:56Z"
}Schedules
Cancel a schedule
Cancels a schedule and archives it, stopping all future runs while retaining its history. Only the schedule’s owner or an admin may cancel it (others receive 403). Returns an ok acknowledgement. Requires the schedules:write scope.
DELETE
/
v1
/
api
/
schedules
/
{id}
Cancel a schedule
⌘I